//////////////////////////////////////////////////////////////////
// Function file for Armed Assault
// Created by: (AEF)Wolffy.au [CTB]
// Created: 20101008
// Contact: http://creobellum.org
// Purpose: Setup amibent civilian modules
///////////////////////////////////////////////////////////////////

waitUntil{!isNil "BIS_fnc_init"};
waitUntil{!isNil "BIS_alice_mainscope"};
waitUntil{!isNil "BIS_silvie_mainscope"};

// See http://community.bistudio.com/wiki/Ambient_Civilians
// Reduce spawn distance to try to reduce number of civilian units
//BIS_alice_mainscope setvariable ["spawnDistance",1000];
BIS_alice_mainscope setvariable ["spawnDistance",500];

// Reduce unit count formula to try to reduce number of civilian units
//BIS_alice_mainscope setvariable ["civilianCount","round (4 * (sqrt %1))"];
BIS_alice_mainscope setvariable ["civilianCount","round (2 * (sqrt %1))"];

// Dumb down civilian units to use less CPU (see http://creobellum.org/node/175)
[BIS_alice_mainscope,"ALICE_civilianinit",[{_this setSkill 0},{{_this disableAI _x} count ["AUTOTARGET","TARGET"]}]] call BIS_fnc_variableSpaceAdd;

// http://community.bistudio.com/wiki/Ambient_Civilian_Vehicles
// Reduce vehicle count formula to try to reduce number of civilian vehicles
//BIS_silvie_mainscope setvariable ["vehicleCount","round ((sqrt %1) * 1.5)"];
BIS_silvie_mainscope setvariable ["vehicleCount","round ((sqrt %1) * 1.0)"];

// add motorbikes and bicycles to Ambient Vehicles
BIS_silvie_mainscope setvariable ["vehicleRarity",["TT650_TK_CIV_EP1",0,"Old_bike_TK_CIV_EP1",0,"Old_moto_TK_Civ_EP1",0]]; 
